﻿using KB2307_LinkFieldInXamDataGrid.Infrastructure;
using KB2307_LinkFieldInXamDataGrid.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KB2307_LinkFieldInXamDataGrid
{
    public class MainWindowViewModel : ObservableObject
    {
		private ObservableCollection<SampleDataItem> _sampleData;

		public ObservableCollection<SampleDataItem> SampleData
		{
			get { return _sampleData; }
			set { _sampleData = value; OnPropertyChanged(); }
		}

		public MainWindowViewModel()
		{
			_sampleData = new ObservableCollection<SampleDataItem>();
			_sampleData.Add(new SampleDataItem() { ID = 0, Name = "Home", Link = "https://jp.infragistics.com/" });
			_sampleData.Add(new SampleDataItem() { ID = 1, Name = "Online Help", Link = "https://jp.infragistics.com/support/online-documentation" });
			_sampleData.Add(new SampleDataItem() { ID = 2, Name = "Product Lifecycle", Link = "https://jp.infragistics.com/support/product-lifecycle" });
			_sampleData.Add(new SampleDataItem() { ID = 3, Name = "Service Relase Schedule", Link = "https://jp.infragistics.com/support/service-releases" });
		}
	}
}
